Lists registered providers with pagination, sorting, and filtering.
const url = 'https://example.com/api/v1/provision/admin/providers';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/admin/providersParameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”1-based page index.
Page size.
Optional sort expression.
Optional filter expression.
Responses
Section titled “Responses”OK
Serializable IPaginatedList<T> implementation used to deserialize paged API responses. int PaginatedListDto<T>.TotalPages, bool PaginatedListDto<T>.HasPreviousPage, and bool PaginatedListDto<T>.HasNextPage are computed from the other properties.
object
The 1-based index of this page within the full result set.
The maximum number of items per page that was requested.
The total number of items across all pages.
The items on this page.
The provider (software vendor / tenant) that owns products and issues entitlements.
object
The total number of pages, computed from int PaginatedListDto<T>.TotalCount and int PaginatedListDto<T>.PageSize; 0 when int PaginatedListDto<T>.PageSize is not positive.
Whether a page precedes this one (int PaginatedListDto<T>.PageNumber is greater than 1).
Whether a page follows this one (int PaginatedListDto<T>.PageNumber is less than int PaginatedListDto<T>.TotalPages).
Serializable IPaginatedList<T> implementation used to deserialize paged API responses. int PaginatedListDto<T>.TotalPages, bool PaginatedListDto<T>.HasPreviousPage, and bool PaginatedListDto<T>.HasNextPage are computed from the other properties.
object
The 1-based index of this page within the full result set.
The maximum number of items per page that was requested.
The total number of items across all pages.
The items on this page.
The provider (software vendor / tenant) that owns products and issues entitlements.
object
The total number of pages, computed from int PaginatedListDto<T>.TotalCount and int PaginatedListDto<T>.PageSize; 0 when int PaginatedListDto<T>.PageSize is not positive.
Whether a page precedes this one (int PaginatedListDto<T>.PageNumber is greater than 1).
Whether a page follows this one (int PaginatedListDto<T>.PageNumber is less than int PaginatedListDto<T>.TotalPages).
Examplegenerated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}Serializable IPaginatedList<T> implementation used to deserialize paged API responses. int PaginatedListDto<T>.TotalPages, bool PaginatedListDto<T>.HasPreviousPage, and bool PaginatedListDto<T>.HasNextPage are computed from the other properties.
object
The 1-based index of this page within the full result set.
The maximum number of items per page that was requested.
The total number of items across all pages.
The items on this page.
The provider (software vendor / tenant) that owns products and issues entitlements.
object
The total number of pages, computed from int PaginatedListDto<T>.TotalCount and int PaginatedListDto<T>.PageSize; 0 when int PaginatedListDto<T>.PageSize is not positive.
Whether a page precedes this one (int PaginatedListDto<T>.PageNumber is greater than 1).
Whether a page follows this one (int PaginatedListDto<T>.PageNumber is less than int PaginatedListDto<T>.TotalPages).
Examplegenerated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}Unauthorized
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}